
const findTag = function(text) {
    let tagStarted = false
    let tag = ""
    for (const char of text) {
        if(char == '>' && tagStarted) {
            return tag
        }
        else if(char === '<') {
            if(tagStarted){
                tag = ""
            } else {
                tagStarted = true
            }
        }
        else if(char === " " && tagStarted) {
            return undefined
        }
        else if(tagStarted) {
            tag = tag + char
        }
    }
    return undefined
}



module.exports = { findTag } 